Subject: Re: [bitcoin-dev] Upgrading PoW algorithm

From: Peter Todd <[email-masked]>
Date: Thu, 18 Jan 2018 11:36:44 -0500

On Wed, Jan 17, 2018 at 04:31:52PM -0600, Jefferson Carpenter via bitcoin-dev wrote:
> Bitcoin's difficulty will be maxed out within about 400 years, by Moore's
> law.  (After that - supposing the software does not crash when difficulty

There's no reason to think Moore's law will last for 400 years; if it did
mining Bitcoin blocks would require astronomical energy levels. I haven't
actually done the math, but having to convert a mass-energy equivalance of a
planet or two per block is probably an accurate lower-bound even with quantum
computers. Once we're at that point, the problem is the speed of light: we'll
run out of energy in our 10 minute light radius, and thus need to get it from
farther away, at which point the 10 minute block interval forces a hard fork
anyway because mining no longer is in consensus.

tl;dr: This is a topic for sci-fi writers, not bitcoin-dev

Also: https://xkcd.com/605/

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org